# /bin/python
# encoding=utf-8
framework="9n-train:tf_1.12.0_gpu_ads_9ncloud_cuda9_cudnn7_py2_nm_bdpclient"  #支持启动tensorboard 进程

 
#可选，训练数据本地路径，默认为./data, 动态修改, 运行于Cloud上时会动态修改为Cloud端路径
local_data_dir="./data"
 
#可选，model及checkpoint保存目录，默认为/export/App/training_platform/PinoModel/models，建议保持默认，否则会影响dump以及tensorBoard功能
log_dir="/export/App/training_platform/PinoModel/models"
 
 
#如果需要使用大数据集市数据:
# 1. 需要确认镜像是否支持bdpclient，通过判断镜像名中是否存在`bdpclient`
# 2. 如果支持bdpclient需要添加以下配置，分别是hadoop集群、大数据集市名、用户账号、队列
# 3. 集市信息可以在堡垒机或者ea notebook终端环境变量中获取，环境变量对应关系如下：
#                   JDHXXXXX_USER -> hadoop_market
#                   JDHXXXXX_QUEUE -> hadoop_queue
#                   JDHXXXXX_CLUSTER_NAME -> hadoop_cluster
#                   TEAM_USER -> hadoop_user
#hadoop_cluster="your cluster"
#hadoop_market="your market"
#hadoop_user="your user"
#hadoop_queue="your queue"
# 3. 如果不支持bdpclient需要添加以下配置
#hadoop_user_certificate="your certificate"
 
 
#使用hdfs数据时使用,预留字段,该功能尚未开发
#remote_data_path="hdfs_path"
 
#可选，可自定义入口文件，默认为main.py
entrance_filename="main.py"  

ml25 = '/home/zhujian146/data/ml-25m/ml-25m/ratings.csv'
ml20 = '/home/zhujian146/data/ml-20m/ratings.csv'
ml1m = '/home/zhujian146/data/ml-1m/data.csv'
criteo = 'criteo'
avazu = 'avazu'
kdd = 'kdd'
#################################
# global parameter
# global_parameters = dict(
#     dataset_path=avazu,
#     ebd_dim=40,
#     models='dcn',
#     optim='adam',
#     lr=1e-3,
#     wdcy=1e-5,
#     batch_size=10000,
#     use_bn=0,
#     use_am=1,
#     margin=1,
#     use_mpn=0,
#     use_topk=0,
#     alpha=1.0,
#     use_group=0,
#     running_times=1,
#     early_stopping=2,
#     dropout=0.0,
# )

# 必选，job配置
roles=['chief']
#roles=['ps', 'worker']
 
# 必选，对应各角色(role)的配置, 各个role可配置任务数(count)，资源(cpu,gpu,memory), 镜像(framework)
chief = dict(
    count=1,  # role数量
    cpu=8.0,  # 单位为核
    mem=40.0,  # 单位为G
    # framework="9n-train:pytorch_1.3_gpu_ads_9ncloud_cuda10.1_cudnn7_anaconda3_jupyter_py3",
    framework="9n-train:pytorch_1.3_gpu_ads_9ncloud_cuda10.1_cudnn7_anaconda3_jupyter_py3_bdpclient",
    gpu=1,
    job_name='chief'
)
 
 
# 支持 node label 配置，但需要确定此label是否可用，否则会导致分配节点失败
# 可选，选择训练集群

cloud_tags={'cluster':'dev-cluster', 'node':'search5, search6', 'gpu_node_permitted':True}
